
package de.ivu.elect.presentation.kandidatur.exchange;

import de.ivu.elect.business.kandidatur.boundary.WahlvorschlagImporter;
import de.ivu.elect.business.kandidatur.control.WahlvorschlagImportContext;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.exchange.AbstractImportFormatFestlegenView;
import de.ivu.elect.presentation.exchange.ImportDescription;

import javax.inject.Inject;
import javax.inject.Named;

@Named(WahlvorschlagImportFormatFestlegenView.COMPONENT_NAME)
@View(viewId = WahlvorschlagImportFormatFestlegenView.VIEW_ID, useCase = UseCasePermission.WAHLVORSCHLAG_IMPORTIEREN)
public class WahlvorschlagImportFormatFestlegenView extends AbstractImportFormatFestlegenView<WahlvorschlagImportContext> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlvorschlagImportFormatFestlegenView";

  public static final String VIEW_ID = "/wahlvorschlag/wahlvorschlag-import-format-festlegen.xhtml";

  @Inject
  private transient WahlvorschlagImporter wahlvorschlagImporter;

  @Inject
  private transient WahlvorschlagImportDescription wahlvorschlagImportDescription;

  @Inject
  private transient WahlvorschlagImportViewFormBuilder wahlvorschlagImportViewFormBuilder;

  public WahlvorschlagImportFormatFestlegenView() {
    super();
  }

  @Override
  protected WahlvorschlagImportContext getContext() {
    return wahlvorschlagImportViewFormBuilder.createContext(getSelectedWahl());
  }

  @Override
  protected ImportDescription getImportDescription() {
    return wahlvorschlagImportDescription;
  }

  @Override
  protected WahlvorschlagImporter getImporter() {
    return wahlvorschlagImporter;
  }

  public String getPageTitle() {
    return getMessage("wahlvorschlag.import.page.title");
  }

  public String getPageHeader() {
    return getMessage("wahlvorschlag.import.page.header");
  }
}
